This is an identifier that is used for debugging purposes
Request-Id
string
No
This is an identifier that is used for maintaining idempotency
Authorization
string
Yes
Bearer Authorization header
This is the token you would receive in the apply token API
Request Body:
Property
Data type
Required
Description
template_name
string
Yes
The name of the template that is registered in GoPay
template_parameters
object
Yes
The object which contains notification parameters such as title, description, etc
Response:
Property
Data type
Description
success
boolean
It will be true if API call is successful and false in case of failure
error
object
This object will be non-null only in case of failures
error.description
string
The description of the error
data
object
The object containing the reminder details
data.reminder_id
string
The ID of the reminder
Sample Request:
{
"template_name": "<template_name>", // can be obtained from GoPay team
"reminder_id": "<reminder_id>",
// these parameters are not fixed and may vary based on usecase
"template_parameters": {
"message": "Food is ready",
"cta_label_en": "Track",
"cta_label_id": "Track",
"amount": 12000
}
}
This API access will give you access to remove the created reminder for GoPay users on the GoPay app homepage. It is strictly limited to specific merchants. Please discuss with the GoPay team if you want to use it
This API can be called by the Mini App backend to delete a reminder in the GoPay app.
The id that is obtained from Create Reminder API needs to be passed as part of the path param for that reminder to be removed from GoPay app
API returns true if the reminder got removed successfully